| Home | Libraries | People | FAQ | More

## Function template one_of

boost::algorithm::one_of

## Synopsis

    // In header: <boost/algorithm/cxx11/one_of.hpp>

    template<typename Range, typename Predicate>
      BOOST_CXX14_CONSTEXPR bool one_of(const Range & r, Predicate p);

## Description

Parameters:

`r` | The input range
`p` | A predicate for testing the elements of the range

Returns: | true if the predicate 'p' is true for exactly one item in the range.